package com.iformall.pay;

import lombok.Data;

/**
 * Created by Stormeye on 2018/11/7.
 * 服务商模式
 */
@Data
public class WxNativePayOrderSP {
    private String appid;               // 公众账号ID
    private String sub_appid;           // 小程序ID
    private String mch_id;              // 服务商号
    private String sub_mch_id;          // 特约商户号
    private String device_info;         // 终端设备号 - 门店编号
    private String nonce_str;           // 随机字符串
    private String sign;                // 签名
    private String sign_type;           // 签名类型
    private String body;                // 商品简单描述 128
    private String out_trade_no;        // 商户订单号
    private Integer total_fee;          // 支付金额
    private String spbill_create_ip;    // 支付IP
    private String time_start;          // 开始时间
    private String time_expire;         // 失效时间
    private String notify_url;          // 通知地址
    private String trade_type;          // 支付类型
    private String product_id;          // 商品ID
    private String profit_sharing;      // 是否开启分账

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WxNativePayOrderSP {");
        sb.append("appid='").append(appid).append('\'');
        sb.append(", sub_appid='").append(sub_appid).append('\'');
        sb.append(", mch_id='").append(mch_id).append('\'');
        sb.append(", sub_mch_id='").append(sub_mch_id).append('\'');
        sb.append(", device_info='").append(device_info).append('\'');
        sb.append(", nonce_str='").append(nonce_str).append('\'');
        sb.append(", sign='").append(sign).append('\'');
        sb.append(", sign_type='").append(sign_type).append('\'');
        sb.append(", body='").append(body).append('\'');
        sb.append(", out_trade_no='").append(out_trade_no).append('\'');
        sb.append(", total_fee=").append(total_fee);
        sb.append(", spbill_create_ip='").append(spbill_create_ip).append('\'');
        sb.append(", time_start='").append(time_start).append('\'');
        sb.append(", time_expire='").append(time_expire).append('\'');
        sb.append(", notify_url='").append(notify_url).append('\'');
        sb.append(", trade_type='").append(trade_type).append('\'');
        sb.append(", product_id='").append(product_id).append('\'');
        sb.append(", profit_sharing='").append(profit_sharing).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
